Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.plugins
Class AbstractTypeMetaData

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.beans.metadata.plugins.AbstractValueMetaData
              org.jboss.beans.metadata.plugins.AbstractTypeMetaData

All Implemented Interfaces:
  Cloneable, org.jboss.util.JBossInterface, MetaDataVisitorNode, ValueMetaData

Direct Known Subclasses:
  AbstractCollectionMetaData, AbstractMapMetaData, StringValueMetaData

public abstract class AbstractTypeMetaData
extends AbstractValueMetaData

A typed value.

Version:
  $Revision: 1.7 $
Author:
  Adrian Brock

Field Summary
`protected KernelConfigurator` | `configurator` The configurator
`protected String` | `type` The type

Fields inherited from class org.jboss.beans.metadata.plugins.AbstractValueMetaData
`value`

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractTypeMetaData()` Create a new typed value
`AbstractTypeMetaData(String value)` Create a new typed value

Method Summary
`protected org.jboss.reflect.spi.ClassInfo` | `getClassInfo(ClassLoader cl)` Get the class info for this type
`String` | `getType()`
`void` | `setConfigurator(KernelConfigurator configurator)` Set the configurator
`void` | `setType(String type)` Set the type
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `visit(MetaDataVisitor visitor)` Visit the node

Methods inherited from class org.jboss.beans.metadata.plugins.AbstractValueMetaData
`getChildren, getUnderlyingValue, getValue, getValue, setValue, toShortString`

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString`

Field Detail

### type

    protected String type

  The type

### configurator

    protected KernelConfigurator configurator

  The configurator

Constructor Detail

### AbstractTypeMetaData

    public AbstractTypeMetaData()

  Create a new typed value

### AbstractTypeMetaData

    public AbstractTypeMetaData(String value)

  Create a new typed value

Parameters:
  `value` - the value

Method Detail

### setType

    public void setType(String type)

  Set the type

  Parameters:
    `type` - the type

### getType

    public String getType()

### visit

    public void visit(MetaDataVisitor visitor)

  Description copied from interface: `MetaDataVisitorNode`
  Visit the node

  Specified by:
    `visit` in interface `MetaDataVisitorNode`
  Overrides:
    `visit` in class `AbstractValueMetaData`

### setConfigurator

    public void setConfigurator(KernelConfigurator configurator)

  Set the configurator

  Parameters:
    `configurator` - the configurator

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

  Overrides:
    `toString` in class `AbstractValueMetaData`

### getClassInfo

    protected org.jboss.reflect.spi.ClassInfo getClassInfo(ClassLoader cl)
                                                    throws Throwable

  Get the class info for this type

  Parameters:
    `cl` - classloader
  Returns:
    the class info
  Throws:
    `Throwable` - for any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.